%global modname semver
%global common_description \
Python module for semantic versioning. Simplifies comparing versions.

Summary:        Python helper for Semantic Versioning
Name:           python-%{modname}
Version:        3.0.1
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/k-bx/python-semver
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) python3dist(pytest-cov)

%description
%{common_description}

%package     -n python3-%{modname}
Summary:        Python helper for Semantic Versioning
BuildRequires:  python3-devel python3-setuptools python3-pytest

%description -n python3-%{modname}
%{common_description}

Python 3 version.

%prep
%autosetup -n python-%{modname}-%{version} -p 1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'semver'

%check
%pytest

%files -n python3-%{modname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGELOG.rst
%{_bindir}/py%{modname}

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 kianli <kianli@tencent.com> - 3.0.1-1
- Upgrade to 3.0.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 2.13.0-1
- initial build
